<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

use DB;
use Illuminate\Support\Facades\Schema;  //special
use Carbon\Carbon;
use Auth;
use Illuminate\Support\Facades\Mail;

class SendMail extends Mailable
{
    use Queueable, SerializesModels;

    public $data;
    public $customer_name;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
         $this->customer_name           = $data;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
           return $this
                        ->from('bookings@ravanaadventurepark.com')
                        ->subject("THANK YOU!")
                        ->view('email.email_one')
                        ->with('customer_name'   ,$this->customer_name);
    }
}
